SDL_GetJoystickInstanceType(3)

NAME
SDL_GetJoystickInstanceType - Get the type of a joystick, if available.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickType SDL_GetJoystickInstanceType(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any joysticks are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

RETURN VALUE
Returns the SDL_JoystickType
 of the selected joystick. If called with an invalid instance_id, this function returns SDL_JOYSTICK_TYPE_UNKNOWN .

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickType(3), SDL_GetJoysticks(3)